<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.systemrule.ApproveNodeMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.systemrule.ApproveNodeEntity">
                    <id column="id" property="id" />
                <result column="create_time" property="createTime" />
                <result column="create_by" property="createBy" />
                <result column="owner_by" property="ownerBy" />
                <result column="update_time" property="updateTime" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="update_by" property="updateBy" />
                <result column="sort" property="sort" />
                    <result column="approve_type" property="approveType" />
                    <result column="node_sort" property="nodeSort" />
                    <result column="node_name" property="nodeName" />
                    <result column="sub_company_id" property="subCompanyId" />
                    <result column="sub_company_name" property="subCompanyName" />
                    <result column="approve_user_id" property="approveUserId" />
                    <result column="approve_user_name" property="approveUserName" />
                    <result column="send_userids" property="sendUserids" />
                    <result column="send_user_names" property="sendUserNames" />
                    <result column="approve_message" property="approveMessage" />
                    <result column="success_message" property="successMessage" />
                    <result column="error_message" property="errorMessage" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                create_by,
                owner_by,
                update_time,
                is_delete,
                enabled,
                update_by,
                sort,
            id, approve_type, node_sort, node_name, sub_company_id, sub_company_name, approve_user_id, approve_user_name, send_userids, send_user_names, approve_message, success_message, error_message
        </sql>

</mapper>
